{
    attributes = (
        {
            allowsNull = Y; 
            columnName = C_BAP; 
            externalType = VARCHAR2; 
            name = cBap; 
            valueClassName = NSString; 
            width = 2; 
        }, 
        {
            allowsNull = Y; 
            columnName = C_CATEGORIE; 
            externalType = VARCHAR2; 
            name = cCategorie; 
            valueClassName = NSString; 
            width = 1; 
        }, 
        {
            allowsNull = Y; 
            columnName = C_DISC_SECOND_DEGRE; 
            externalType = VARCHAR2; 
            name = cDiscSecondDegre; 
            valueClassName = NSString; 
            width = 5; 
        }, 
        {
            allowsNull = Y; 
            columnName = C_ECHELON; 
            externalType = VARCHAR2; 
            name = cEchelon; 
            valueClassName = NSString; 
            width = 2; 
        }, 
        {
            allowsNull = Y; 
            columnName = C_GRADE; 
            externalType = VARCHAR2; 
            name = cGrade; 
            valueClassName = NSString; 
            width = 4; 
        }, 
        {
            allowsNull = Y; 
            columnName = CODEEMPLOI; 
            externalType = VARCHAR2; 
            name = codeemploi; 
            valueClassName = NSString; 
            width = 7; 
        }, 
        {
            columnName = CTRA_ORDRE; 
            externalType = NUMBER; 
            name = ctraOrdre; 
            precision = 8; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            columnName = D_DEB_CONTRAT_AV; 
            externalType = DATE; 
            name = dDebContratAv; 
            valueClassName = NSCalendarDate; 
        }, 
        {
            allowsNull = Y; 
            columnName = D_FIN_CONTRAT_AV; 
            externalType = DATE; 
            name = dFinContratAv; 
            valueClassName = NSCalendarDate; 
        }, 
        {
            allowsNull = Y; 
            columnName = FONCTION_CTR_AV; 
            externalType = VARCHAR2; 
            name = fonctionCtrAv; 
            valueClassName = NSString; 
            width = 200; 
        }, 
        {
            allowsNull = Y; 
            columnName = INDICE_CONTRAT; 
            externalType = VARCHAR2; 
            name = indiceContrat; 
            valueClassName = NSString; 
            width = 4; 
        }, 
        {
            allowsNull = Y; 
            columnName = NBR_UNITE; 
            externalType = NUMBER; 
            name = nbrUnite; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            allowsNull = Y; 
            columnName = NO_AVENANT; 
            externalType = VARCHAR2; 
            name = noAvenant; 
            valueClassName = NSString; 
            width = 12; 
        }, 
        {
            columnName = NO_SEQ_CONTRAT; 
            externalType = NUMBER; 
            name = noSeqContrat; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            columnName = NUM_QUOT_RECRUTEMENT; 
            externalType = NUMBER; 
            name = numQuotRecrutement; 
            precision = 5; 
            scale = 2; 
            valueClassName = NSDecimalNumber; 
        }, 
        {
            columnName = TEM_ANNULATION; 
            externalType = CHAR; 
            name = temAnnulation; 
            valueClassName = NSString; 
            width = 1; 
        }, 
        {
            allowsNull = Y; 
            definition = "NVL(toGrhumGrade.toGrhumCorps.toGrhumTypePopulation.temEnseignant,'N')"; 
            externalType = VARCHAR2; 
            name = temEnseignant; 
            valueClassName = NSString; 
            width = 1; 
        }
    ); 
    attributesUsedForLocking = (ctraOrdre); 
    className = EOGenericRecord; 
    classProperties = (
        ctraOrdre, 
        noSeqContrat, 
        dDebContratAv, 
        dFinContratAv, 
        cGrade, 
        cEchelon, 
        fonctionCtrAv, 
        numQuotRecrutement, 
        indiceContrat, 
        cCategorie, 
        codeemploi, 
        cDiscSecondDegre, 
        cBap, 
        noAvenant, 
        temAnnulation, 
        nbrUnite, 
        toGrhumGrade, 
        temEnseignant
    ); 
    externalName = MANGUE.CONTRAT_AVENANT; 
    fetchSpecificationDictionary = {}; 
    name = MangueContratAvenant; 
    primaryKeyAttributes = (ctraOrdre); 
    relationships = (
        {
            destination = GrhumGrade; 
            isToMany = N; 
            joinSemantic = EOLeftOuterJoin; 
            joins = ({destinationAttribute = cGrade; sourceAttribute = cGrade; }); 
            name = toGrhumGrade; 
        }
    ); 
}
